<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Software Engineering Code of Ethics and Professional Practice</title>
</head>
<body>

	  <h1>Software Engineering Code of Ethics and Professional Practice</h1>
      <h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h2>

      <hr>

      <p> 

      	<b>Keywords:</b> code of ethics, professional responsibility, software engineering

      </p>

      <h3>PREAMBLE</h3>

      <p>
      	The short version of the code summarizes aspirations at a high level of the abstraction; the clauses that <br> are included in the full version give examples and details of how these aspirations change the way we <br> act as software engineering professionals. Without the aspirations, the details can become legalistic<br> and tedious; without the details, the aspirations can become high sounding but empty; together, the<br> aspirations and the details form a cohesive code.
      </p>

      <p>
     
      	Software engineers shall commit themselves to making the analysis, specification, design,<br> development, testing and maintenance of software a beneficial and respected profession. In <br> accordance with their commitment to the health, safety and welfare of the public, software engineers<br> shall adhere to the following Eight Principles:
      </p>

      <h4><li>PRINCIPLES</li></h4>
       <ol>
       	
       	<li><i>Public</i>. Software engineers shall act consistently with the public interest.</li>
       	<li><i> Client and Employer</i>– Software engineers shall act in a manner that is in the best interests of their client and employer consistent with the public interest.</li>
       	<li><i>Product.</i> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
       	<li><i>Judgment.</i>Software engineers shall maintain integrity and independence in their professional judgment.</li>
       	<li><i>Management.</i> – Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
       	<li><i>Profession.</i> – Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
       	<li><i>Colleagues.</i> – Software engineers shall be fair to and supportive of their colleagues.</li>
       	<li><i>Self.</i>Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>





       </ol>
      <p>
      	


      </p>
</body>
</html>